List requests
curl --request GET \
--url https://api.entendre.finance/v1/firm/requests \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/firm/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/firm/requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "frq_507f1f77bcf86cd799439011",
"client_id": "fcl_000000000000000000000001",
"organization_id": "507f1f77bcf86cd799439013",
"status": "pending",
"integrations": [],
"email_sent": true,
"email_sent_at": "2026-08-31T12:00:00Z",
"expires_at": "2026-09-30T12:00:00Z",
"requested_at": "2026-08-31T12:00:00Z",
"created_at": "2026-08-31T12:00:00Z",
"updated_at": "2026-08-31T12:00:00Z"
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Request
List requests
Lists integration requests with their items, recipients, progress and submitted resources.
GET
/
v1
/
firm
/
requests
List requests
curl --request GET \
--url https://api.entendre.finance/v1/firm/requests \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/firm/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/firm/requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "frq_507f1f77bcf86cd799439011",
"client_id": "fcl_000000000000000000000001",
"organization_id": "507f1f77bcf86cd799439013",
"status": "pending",
"integrations": [],
"email_sent": true,
"email_sent_at": "2026-08-31T12:00:00Z",
"expires_at": "2026-09-30T12:00:00Z",
"requested_at": "2026-08-31T12:00:00Z",
"created_at": "2026-08-31T12:00:00Z",
"updated_at": "2026-08-31T12:00:00Z"
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Query Parameters
IDs to return, separated by commas. Up to 100.
Maximum number of records to return.
Required range:
1 <= x <= 100The next_cursor value from the previous page. Keep the other filters unchanged.
Request lifecycle. Create a draft, then send it to begin client onboarding.
Available options:
pending, partial, completed, expired, cancelled IDs to return, separated by commas. Up to 100.
Set to true to include total_count.
Sort field. Keep unchanged across pages.
Available options:
created_at, updated_at, requested_at, expires_at, status Sort direction. Keep unchanged across pages.
Available options:
asc, desc Response
The request succeeded.